Skip to main content

Captures


Overview

This section describes how to capture an authorized transaction.

All supported card types can process captures.

JCN Gateway Processor Limitations

These are the maximum amounts that can be processed:

  • The maximum amount for an authorization is limited to 8 digits: 99,999,999.
  • The maximum amount for a capture or credit is limited to 7 digits: 9,999,999.

American Express Incremental Authorizations

When funds authorized from incremental authorizations are not fully captured, the remaining unused authorized amount must be reversed. For example, if the total authorized amount is $100 and $80 is captured, the $20 difference must be reversed.

A partial authorization reversal request is required to release the remaining authorized funds. For more information, see Authorization Reversals.

Supported processors (20)

American Express Direct, Banque de France et Tresor Public, Barclays, BNP Paribas France, Chase Paymentech Solutions, Credit Mutuel-CIC, Elavon Americas, FDC Compass, FDC Nashville Global, GPN, HSBC, JCN Gateway, Moneris, OmniPay Direct, SIX, Streamline, TSYS Acquiring Solutions, Vero, , Worldpay VAP

Supported processors: Chase Paymentech Solutions, Elavon Americas, FDC Nashville Global, Streamline, , Worldpay VAP

Supported processor: Barclays

Supported processor:

Endpoints

POST /pts/v2/payments/{id}/captures

POST /pts/v2/payments/{id}/captures

The {id} is the transaction ID returned in the authorization response.

Example

{    "clientReferenceInformation": {        "code": "ABC123"    },    "orderInformation": {        "amountDetails": {            "totalAmount": "100.00",            "currency": "EUR"        }    }}
{    "_links": {        "void": {            "method": "POST",            "href": "/pts/v2/captures/6662994431376681303954/voids"        },        "self": {            "method": "GET",            "href": "/pts/v2/captures/6662994431376681303954"        }    },    "clientReferenceInformation": {        "code": "1666299443215"    },    "id": "6662994431376681303954",    "orderInformation": {        "amountDetails": {            "totalAmount": "100.00",            "currency": "EUR"        }    },    "reconciliationId": "66535942B9CGT52U",    "status": "PENDING",    "submitTimeUtc": "2022-10-20T20:57:23Z"}

Required Fields

These fields are required for all supported processors unless a processor-specific section indicates otherwise.

Default Required Fields

clientReferenceInformation.code

This field value maps from the original authorization, sale, or credit transaction.

orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount

Capturing an Authorization Using REST APIs

Bank of America Example

{    "clientReferenceInformation": {        "code": "1662997399711"    },    "orderInformation": {        "amountDetails": {            "totalAmount": 100,            "currency": "USD"        }    },    "paymentAccountInformation": {        "card": {            "number": "CARD_NUMBER",            "type": "001"        }    }}
{    "_links": {        "authReversal": {            "method": "POST",            "href": "/pts/v2/payments/6629976031336699803954/reversals"        },        "self": {            "method": "GET",            "href": "/pts/v2/payments/6629976031336699803954"        },        "capture": {            "method": "POST",            "href": "/pts/v2/payments/6629976031336699803954/captures"        }    },    "clientReferenceInformation": {        "code": "1662997399711"    },    "id": "6629976031336699803954",    "orderInformation": {        "amountDetails": {            "authorizedAmount": "100.00",            "currency": "USD"        }    },    "paymentAccountInformation": {        "card": {            "type": "001"        }    },    "paymentInformation": {        "tokenizedCard": {            "type": "001"        },        "card": {            "type": "001"        }    },    "pointOfSaleInformation": {        "terminalId": "111111"    },    "processorInformation": {        "approvalCode": "888888",        "networkTransactionId": "123456789619999",        "transactionId": "123456789619999",        "responseCode": "100",        "avs": {            "code": "1"        }    },    "reconciliationId": "61117545B7TY1MP6",    "status": "AUTHORIZED",    "submitTimeUtc": "2022-09-12T15:46:43Z"}

Last published: September 29, 2026